Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 22568)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Shopping_Payment extends LC_Page_Ex 
-{
+class LC_Page_Shopping_Payment extends LC_Page_Ex {
 
     // {{{ properties
@@ -51,6 +50,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_onload = 'fnCheckInputPoint();';
@@ -65,6 +63,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -77,6 +74,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objSiteSess = new SC_SiteSession_Ex();
@@ -85,5 +81,4 @@
         $objCustomer = new SC_Customer_Ex();
         $objFormParam = new SC_FormParam_Ex();
-        $objDelivery = new SC_Helper_Delivery_Ex();
 
         $this->is_multiple = $objPurchase->isMultiple();
@@ -98,5 +93,5 @@
 
         // 配送業者を取得
-        $this->arrDeliv = $objDelivery->getList($cart_key);
+        $this->arrDeliv = $objPurchase->getDeliv($cart_key);
         $this->is_single_deliv = $this->isSingleDeliv($this->arrDeliv);
 
@@ -252,6 +247,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -265,6 +259,5 @@
      * @param array $arrShipping 配送先情報の配列
      */
-    function setFormParams(&$objFormParam, $arrParam, $deliv_only, &$arrShipping)
-    {
+    function setFormParams(&$objFormParam, $arrParam, $deliv_only, &$arrShipping) {
         $this->lfInitParam($objFormParam, $deliv_only, $arrShipping);
         $objFormParam->setParam($arrParam);
@@ -280,6 +273,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam, $deliv_only, &$arrShipping)
-    {
+    function lfInitParam(&$objFormParam, $deliv_only, &$arrShipping) {
         $objFormParam->addParam('配送業者', 'deliv_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('ポイント', 'use_point', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK', 'ZERO_START'));
@@ -310,6 +302,5 @@
      * @return array 入力チェック結果の配列
      */
-    function lfCheckError(&$objFormParam, $subtotal, $max_point)
-    {
+    function lfCheckError(&$objFormParam, $subtotal, $max_point) {
         $objPurchase = new SC_Helper_Purchase_Ex();
         // 入力データを渡す。
@@ -336,6 +327,5 @@
             }
             // ポイント差し引き後の決済方法チェック
-            $objPayment = new SC_Helper_Payment_Ex();
-            $arrPayments = $objPayment->get($arrForm['payment_id']);
+            $arrPayments = $objPurchase->getPaymentsByPaymentsId($arrForm['payment_id']);
             if ($arrPayments['rule_max'] > $subtotal - $arrForm['use_point'] * POINT_VALUE) {
                 $objErr->arrErr['use_point'] = '※ 選択した支払方法では、ポイントは'.($subtotal - $arrPayments['rule_max']).'ポイントまでご利用いただけます。<br>';
@@ -351,6 +341,5 @@
      * @param array $arrDelivTime 配送時間の配列
      */
-    function saveShippings(&$objFormParam, $arrDelivTime)
-    {
+    function saveShippings(&$objFormParam, $arrDelivTime) {
         $deliv_id = $objFormParam->getValue('deliv_id');
 
@@ -378,6 +367,5 @@
      * @return void
      */
-    function lfRegistData($uniqid, $arrForm, &$objPurchase, $arrPayment)
-    {
+    function lfRegistData($uniqid, $arrForm, &$objPurchase, $arrPayment) {
 
         $arrForm['order_temp_id'] = $uniqid;
@@ -411,19 +399,9 @@
      * @return array 支払い方法, お届け時間を格納した配列
      */
-    function getSelectedDeliv(&$objPurchase, &$objCartSess, $deliv_id)
-    {
+    function getSelectedDeliv(&$objPurchase, &$objCartSess, $deliv_id) {
         $arrResults = array();
-        $arrResults['arrDelivTime'] = SC_Helper_Delivery_Ex::getDelivTime($deliv_id);
-        $total = $objCartSess->getAllProductsTotal($objCartSess->getKey());
-        $payments_deliv = SC_Helper_Delivery_Ex::getPayments($deliv_id);
-        $objPayment = new SC_Helper_Payment_Ex();
-        $payments_total = $objPayment->getByPrice($total);
-        $arrPayment = array();
-        foreach ($payments_total as $payment) {
-            if (in_array($payment['payment_id'], $payments_deliv)) {
-                $arrPayment[] = $payment;
-            }
-        }
-        $arrResults['arrPayment'] = $arrPayment;
+        $arrResults['arrDelivTime'] = $objPurchase->getDelivTime($deliv_id);
+        $total = $objCartSess->getAllProductsTotal($objCartSess->getKey(), $deliv_id);
+        $arrResults['arrPayment'] = $objPurchase->getPaymentsByPrice($total, $deliv_id);
         $arrResults['img_show'] = $this->hasPaymentImage($arrResults['arrPayment']);
         return $arrResults;
@@ -436,6 +414,5 @@
      * @return boolean 支払い方法の画像がある場合 true
      */
-    function hasPaymentImage($arrPayment)
-    {
+    function hasPaymentImage($arrPayment) {
         foreach ($arrPayment as $val) {
             if (!SC_Utils_Ex::isBlank($val['payment_image'])) {
@@ -452,6 +429,5 @@
      * @return boolean 配送業者が1社のみの場合 true
      */
-    function isSingleDeliv($arrDeliv)
-    {
+    function isSingleDeliv($arrDeliv) {
         if (count($arrDeliv) == 1) {
             return true;
@@ -468,6 +444,5 @@
      * @return string モバイル用テンプレートのパス
      */
-    function getMobileMainpage($is_single_deliv = true, $mode)
-    {
+    function getMobileMainpage($is_single_deliv = true, $mode) {
         switch ($mode) {
             case 'select_deliv':
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Shopping extends LC_Page_Ex 
-{
+class LC_Page_Shopping extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title = 'ログイン';
@@ -66,6 +64,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -78,6 +75,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objSiteSess = new SC_SiteSession_Ex();
@@ -276,6 +272,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -287,6 +282,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
 
         $objFormParam->addParam('お名前(姓)', 'order_name01', STEXT_LEN, 'KVa', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
@@ -325,4 +319,5 @@
         $objFormParam->addParam('電話番号2', 'shipping_tel02', TEL_ITEM_LEN, 'n', array('MAX_LENGTH_CHECK' ,'NUM_CHECK'));
         $objFormParam->addParam('電話番号3', 'shipping_tel03', TEL_ITEM_LEN, 'n', array('MAX_LENGTH_CHECK' ,'NUM_CHECK'));
+        $objFormParam->addParam('メールマガジン', 'mail_flag', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'), 1);
     }
 
@@ -333,6 +328,5 @@
      * @return void
      */
-    function lfInitLoginFormParam(&$objFormParam)
-    {
+    function lfInitLoginFormParam(&$objFormParam) {
         $objFormParam->addParam('記憶する', 'login_memory', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('メールアドレス', 'login_email', STEXT_LEN, 'a', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
@@ -354,9 +348,7 @@
      * @return string 遷移先のパス
      */
-    function getNextLocation($product_type_id, $uniqid, &$objCustomer, &$objPurchase, &$objSiteSess)
-    {
+    function getNextLocation($product_type_id, $uniqid, &$objCustomer, &$objPurchase, &$objSiteSess) {
         switch ($product_type_id) {
             case PRODUCT_TYPE_DOWNLOAD:
-                $objPurchase->unsetAllShippingTemp(true);
                 $objPurchase->saveOrderTemp($uniqid, array(), $objCustomer);
                 $objSiteSess->setRegistFlag();
@@ -379,6 +371,5 @@
      * @param boolean $isMultiple 複数配送の場合 true
      */
-    function lfRegistData($uniqid, &$objPurchase, &$objCustomer, &$objFormParam, $isMultiple = false)
-    {
+    function lfRegistData($uniqid, &$objPurchase, &$objCustomer, &$objFormParam, $isMultiple = false) {
         $arrParams = $objFormParam->getHashArray();
 
@@ -423,6 +414,5 @@
      * @return array エラー情報の配
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 入力値の変換
         $objFormParam->convParam();
@@ -473,6 +463,5 @@
      * @return void
      */
-    function setFormParams(&$objFormParam, &$objPurchase, $uniqid)
-    {
+    function setFormParams(&$objFormParam, &$objPurchase, $uniqid) {
         $arrOrderTemp = $objPurchase->getOrderTemp($uniqid);
         if (SC_Utils_Ex::isBlank($arrOrderTemp)) {
@@ -492,9 +481,5 @@
             $objFormParam->setParam($arrShippingTemp[1]);
         } else {
-            if ($arrOrderTemp['deliv_check'] == 1) {
-                $objFormParam->setParam($arrShippingTemp[1]);
-            } else {
-                $objFormParam->setParam($arrShippingTemp[0]);
-            }
+            $objFormParam->setParam($arrShippingTemp[0]);
         }
         $objFormParam->setValue('order_email02', $arrOrderTemp['order_email']);
@@ -512,6 +497,5 @@
      * @see LC_PageError
      */
-    function lfGetErrorMessage($error)
-    {
+    function lfGetErrorMessage($error) {
         switch ($error) {
             case TEMP_LOGIN_ERROR:
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Shopping_Deliv extends LC_Page_Ex 
-{
+class LC_Page_Shopping_Deliv extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $masterData = new SC_DB_MasterData_Ex();
@@ -57,6 +55,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -69,6 +66,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objSiteSess = new SC_SiteSession_Ex();
@@ -114,5 +110,5 @@
             // 削除
             case 'delete':
-                $objAddress->deleteAddress($arrForm['other_deliv_id']);
+                $objAddress->delete($arrForm['other_deliv_id']);
                 break;
 
@@ -195,6 +191,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -206,6 +201,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('その他のお届け先ID', 'other_deliv_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('お届け先チェック', 'deliv_check', INT_LEN, 'n', array('MAX_LENGTH_CHECK'));
@@ -225,6 +219,5 @@
      * @return boolean お届け先チェックの値が妥当な場合 true
      */
-    function registerDeliv($other_deliv_id, $uniqid, &$objPurchase, &$objCustomer, $objAddress)
-    {
+    function registerDeliv($other_deliv_id, $uniqid, &$objPurchase, &$objCustomer, $objAddress) {
         GC_Utils_Ex::gfDebugLog('register deliv. deliv_check=' . $deliv_check);
         $arrValues = array();
@@ -235,5 +228,5 @@
         // 別のお届け先がチェックされている場合
         else {
-            $arrOtherDeliv = $objAddress->getAddress($other_deliv_id);
+            $arrOtherDeliv = $objAddress->get($other_deliv_id);
             if (!$arrOtherDeliv) {
                 return false;
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php	(revision 22796)
@@ -35,6 +35,5 @@
  * @version $Id$
  */
-class LC_Page_Shopping_LoadPaymentModule extends LC_Page_Ex 
-{
+class LC_Page_Shopping_LoadPaymentModule extends LC_Page_Ex {
 
     // }}}
@@ -46,6 +45,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -56,6 +54,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
 
         $order_id = $this->getOrderId();
@@ -79,6 +76,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -94,13 +90,14 @@
      *                        失敗した場合 false
      */
-    function getModulePath($order_id)
-    {
-        $objPurchase = new SC_Helper_Purchase_Ex();
-        $objPayment = new SC_Helper_Payment_Ex();
-
-        $order = $objPurchase->getOrder($order_id);
-        $payment = $objPayment->get($order['payment_id']);
-        $module_path = $payment['module_path'];
-
+    function getModulePath($order_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $sql = <<< __EOS__
+            SELECT module_path
+            FROM dtb_payment T1
+                JOIN dtb_order T2
+                    ON T1.payment_id = T2.payment_id
+            WHERE order_id = ?
+__EOS__;
+        $module_path = $objQuery->getOne($sql, array($order_id));
         if (file_exists($module_path)) {
             return $module_path;
@@ -124,6 +121,5 @@
      *                         失敗した場合は, false を返す.
      */
-    function getOrderId()
-    {
+    function getOrderId() {
         if (isset($_SESSION['order_id'])
             && !SC_Utils_Ex::isBlank($_SESSION['order_id'])
@@ -149,6 +145,5 @@
      * 決済モジュールから遷移する場合があるため, トークンチェックしない.
      */
-    function doValidToken()
-    {
+    function doValidToken() {
         // nothing.
     }
Index: /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 22796)
@@ -34,6 +34,5 @@
  * @version $Id$
  */
-class LC_Page_Upgrade_Download extends LC_Page_Upgrade_Base 
-{
+class LC_Page_Upgrade_Download extends LC_Page_Upgrade_Base {
 
     // }}}
@@ -45,6 +44,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process($mode)
-    {
+    function process($mode) {
         $objLog  = new LC_Upgrade_Helper_Log;
         $objLog->start($mode);
@@ -248,11 +245,9 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
-    function initParam()
-    {
+    function initParam() {
         $this->objForm = new SC_FormParam_Ex();
         $this->objForm->addParam(
@@ -267,6 +262,5 @@
      * @param object $objRet
      */
-    function updateMdlTable($objRet)
-    {
+    function updateMdlTable($objRet) {
         $table = 'dtb_module';
         $where = 'module_id = ?';
@@ -301,6 +295,5 @@
      * @return
      */
-    function notifyDownload($mode, $arrCookies)
-    {
+    function notifyDownload($mode, $arrCookies) {
         $arrPOSTParams = array(
             'eccube_url' => HTTP_URL
@@ -315,6 +308,5 @@
      * @return boolean
      */
-    function isValidAccess($mode)
-    {
+    function isValidAccess($mode) {
         $objLog = new LC_Upgrade_Helper_Log;
         switch ($mode) {
@@ -366,6 +358,5 @@
     }
 
-    function registerUpdateLog($arrLog, $objRet)
-    {
+    function registerUpdateLog($arrLog, $objRet) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrInsert = array(
@@ -389,6 +380,5 @@
      * LC_Update_Updater::execute()で処理を実行する.
      */
-    function fileExecute($productCode)
-    {
+    function fileExecute($productCode) {
         $file = DATA_REALDIR . 'downloads/update/' . $productCode . '_update.php';
         if (file_exists($file)) {
Index: /branches/version-2_12-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php	(revision 22796)
@@ -26,6 +26,5 @@
  *
  */
-class LC_Upgrade_Helper_Log 
-{
+class LC_Upgrade_Helper_Log {
     /**
      * 開始メッセージを出力
@@ -33,6 +32,5 @@
      * @param string $mode
      */
-    function start($mode)
-    {
+    function start($mode) {
         $message = "##### $mode start #####";
         $this->log($message);
@@ -43,6 +41,5 @@
      * @param string $mode
      */
-    function end()
-    {
+    function end() {
         $message = '##### end #####';
         $this->log($message);
@@ -53,6 +50,5 @@
      * @param string $message
      */
-    function log($message)
-    {
+    function log($message) {
         GC_Utils_Ex::gfPrintLog($message, OSTORE_LOG_REALFILE);
     }
@@ -63,6 +59,5 @@
      * @param mixed $val
      */
-    function error($code, $val = null)
-    {
+    function error($code, $val = null) {
         $format = '* error! code:%s / debug:%s';
         $message = sprintf($format, $code, serialize($val));
Index: /branches/version-2_12-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Json.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Json.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Json.php	(revision 22796)
@@ -4,6 +4,5 @@
  *
  */
-class LC_Upgrade_Helper_Json extends Services_JSON 
-{
+class LC_Upgrade_Helper_Json extends Services_JSON {
     /** */
     var $arrData = array(
@@ -19,6 +18,5 @@
      * @return SC_Upgrade_Helper_Json
      */
-    function __construct()
-    {
+    function __construct() {
         parent::Services_JSON();
     }
@@ -28,11 +26,9 @@
      *
      */
-    function isError()
-    {
+    function isError() {
         return $this->isSuccess() ? false : true;
     }
 
-    function isSuccess()
-    {
+    function isSuccess() {
         if ($this->arrData['status'] === OSTORE_STATUS_SUCCESS) {
             return true;
@@ -47,6 +43,5 @@
      * @param unknown_type $errMessage
      */
-    function setError($errCode)
-    {
+    function setError($errCode) {
         $masterData = new SC_DB_MasterData_Ex();
         $arrOStoreErrMsg = $masterData->getMasterData('mtb_ownersstore_err');
@@ -64,6 +59,5 @@
      * @param mixed $data
      */
-    function setSuccess($data = array(), $msg = '')
-    {
+    function setSuccess($data = array(), $msg = '') {
         $this->arrData['status'] = OSTORE_STATUS_SUCCESS;
         $this->arrData['data']   = $data;
@@ -75,6 +69,5 @@
      *
      */
-    function display()
-    {
+    function display() {
         header('Content-Type: text/javascript; charset=UTF-8');
         echo $this->encode($this->arrData);
@@ -92,6 +85,5 @@
      * @see SC_Utils_Ex::jsonDecode
      */
-    function decode($str)
-    {
+    function decode($str) {
         return SC_Utils_Ex::jsonDecode($str);
     }
Index: /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_Base.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_Base.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_Base.php	(revision 22796)
@@ -12,8 +12,6 @@
  * @version $Id$
  */
-class LC_Page_Upgrade_Base extends LC_Page_Ex 
-{
-    function isValidIP()
-    {
+class LC_Page_Upgrade_Base extends LC_Page_Ex {
+    function isValidIP() {
         $objLog  = new LC_Upgrade_Helper_Log;
         $masterData = new SC_DB_MasterData_Ex();
@@ -36,6 +34,5 @@
      * @return boolean
      */
-    function autoUpdateEnable($product_id)
-    {
+    function autoUpdateEnable($product_id) {
         $where = 'module_id = ?';
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -58,6 +55,5 @@
      * @return string|object レスポンスボディ|エラー時にはPEAR::Errorオブジェクトを返す.
      */
-    function request($mode, $arrParams = array(), $arrCookies = array())
-    {
+    function request($mode, $arrParams = array(), $arrCookies = array()) {
         $objReq = new HTTP_Request();
         $objReq->setUrl(OSTORE_URL . 'upgrade/index.php');
@@ -80,6 +76,5 @@
     }
 
-    function isLoggedInAdminPage()
-    {
+    function isLoggedInAdminPage() {
         $objSess = new SC_Session_Ex();
 
@@ -95,11 +90,9 @@
      * @return string
      */
-    function createSeed()
-    {
+    function createSeed() {
         return sha1(uniqid(rand(), true) . time());
     }
 
-    function getPublicKey()
-    {
+    function getPublicKey() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrRet = $objQuery->select('*', 'dtb_ownersstore_settings');
@@ -112,6 +105,5 @@
      * オーナーズストアからの POST のため, トークンチェックしない.
      */
-    function doValidToken()
-    {
+    function doValidToken() {
         // nothing.
     }
Index: /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Upgrade_ProductsList extends LC_Page_Upgrade_Base 
-{
+class LC_Page_Upgrade_ProductsList extends LC_Page_Upgrade_Base {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process($mode)
-    {
+    function process($mode) {
         $objLog  = new LC_Upgrade_Helper_Log;
         $objJson = new LC_Upgrade_Helper_Json;
@@ -160,6 +157,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Upgrade_SiteCheck extends LC_Page_Upgrade_Base 
-{
+class LC_Page_Upgrade_SiteCheck extends LC_Page_Upgrade_Base {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {}
+    function init() {}
 
     /**
@@ -51,6 +49,5 @@
      * @return void
      */
-    function process($mode)
-    {
+    function process($mode) {
         $objLog  = new LC_Upgrade_Helper_LOG;
         $objJson = new LC_Upgrade_Helper_Json;
@@ -81,5 +78,4 @@
      * @return void
      */
-    function destroy()
-    {}
+    function destroy() {}
 }
Index: /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_CSS extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Design_CSS extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'design/css.tpl';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,6 +69,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objLayout = new SC_Helper_PageLayout_Ex();
@@ -146,6 +142,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -157,6 +152,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('端末種別ID', 'device_type_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('CSSファイル名', 'css_name', STEXT_LEN, 'a', array('MAX_LENGTH_CHECK'));
@@ -178,6 +172,5 @@
      * @return boolean 登録が成功した場合 true; 失敗した場合 false
      */
-    function doRegister($css_dir, $css_name, $old_css_name, $css_path, $css_data)
-    {
+    function doRegister($css_dir, $css_name, $old_css_name, $css_path, $css_data) {
         $objFileManager = new SC_Helper_FileManager_Ex();
 
@@ -203,6 +196,5 @@
      * @return boolean 削除が成功した場合 true; 失敗した場合 false
      */
-    function doDelete($css_path)
-    {
+    function doDelete($css_path) {
         if (!unlink($css_path)) {
             $this->arrErr['err'] = '※ CSSの削除に失敗しました<br />';
@@ -218,6 +210,5 @@
      * @return array ファイルリスト
      */
-    function getCSSList($css_dir)
-    {
+    function getCSSList($css_dir) {
         $objFileManager = new SC_Helper_FileManager_Ex();
 
@@ -240,6 +231,5 @@
      * @return array エラーメッセージの配列
      */
-    function lfCheckError(&$objFormParam, &$arrErr)
-    {
+    function lfCheckError(&$objFormParam, &$arrErr) {
         $arrParams = $objFormParam->getHashArray();
         $objErr = new SC_CheckError_Ex($arrParams);
@@ -276,6 +266,5 @@
      * @return string CSSディレクトリ
      */
-    function getCSSDir($device_type_id)
-    {
+    function getCSSDir($device_type_id) {
         return SC_Helper_PageLayout_Ex::getTemplatePath($device_type_id, true) . 'css/';
     }
@@ -286,6 +275,5 @@
      * @return boolean 
      */
-    function checkPath($str)
-    {
+    function checkPath($str) {
         // 含む場合はfalse
         if (preg_match('|\./|', $str)) {
Index: /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_Header extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Design_Header extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'design/header.tpl';
@@ -62,6 +60,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -73,6 +70,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -125,6 +121,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -136,6 +131,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('端末種別ID', 'device_type_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('division', 'division', STEXT_LEN, 'a', array('MAX_LENGTH_CHECK'));
@@ -150,6 +144,5 @@
      * @return array エラーメッセージの配列
      */
-    function lfCheckError(&$objFormParam, &$arrErr)
-    {
+    function lfCheckError(&$objFormParam, &$arrErr) {
         $arrParams = $objFormParam->getHashArray();
         $objErr = new SC_CheckError_Ex($arrParams);
@@ -167,6 +160,5 @@
      * @return integer|boolean 登録が成功した場合 true; 失敗した場合 false
      */
-    function doRegister(&$objFormParam)
-    {
+    function doRegister(&$objFormParam) {
         $division = $objFormParam->getValue('division');
         $contents = $objFormParam->getValue($division);
@@ -187,6 +179,5 @@
      * @return string|boolean 成功した場合, テンプレートのパス; 失敗した場合 false
      */
-    function getTemplatePath($device_type_id, $division)
-    {
+    function getTemplatePath($device_type_id, $division) {
         $tpl_path = SC_Helper_PageLayout_Ex::getTemplatePath($device_type_id) . '/' . $division . '.tpl';
         if (file_exists($tpl_path)) {
